html, body, #root {
  height: 100%;
}

.general {
    background-color: lab(97 0 10);
    color: lab(45 -07 -07);
    font-family: "Cascadia Code", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 100svh;
}

a {
    color: lab(55 -10 -45);
}

h1 {
    font-weight: 500;
}
h2 {
    font-style: italic;
    font-size: medium;
    font-weight: 400;
}

p {
    font-weight: 300;
}

footer {
    font-weight: 200;
}

@media (prefers-color-scheme: dark) {
  .general.adaptive {
    background-color: lab(15 -12 -12);
    color: lab(60 -06 -03);
    font-family: "Cascadia Code", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: space-evenly;
  }
}

/*
  Josh's Custom CSS Reset
  https://www.joshwcomeau.com/css/custom-css-reset/
*/

*, *::before, *::after {
  box-sizing: border-box;
}

*:not(dialog, h1, h2, p, footer, main) {
  margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}

h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

#root, #__next {
  isolation: isolate;
}